=== debian/changelog ===
marble (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * Add uptream patch to fix isnan with new libc6.
  * Release to archive. 
  * Add patch.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 15 Apr 2016 07:09:11 -0700

marble (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:24:24 -0700

marble (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Jonathan Riddell ]
  * Build with MARBLE_INSTALL_ANDROID_APPS

  [ Scarlett Clark ]
  * Refresh fix_qmake_fallback.diff patch.

  [ Philip Muškovac ]
  * New upstream release

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release
  * Updating symbols and removing MISSING
  * Fixing error in copyright file

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:31:12 +0100

marble (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Change libquazip-qt5-dev build dep to libquazip5-dev. (Closes:
    #811203) Thanks to Sebastiaan Couwenberg.
  * Drop patch: fix_qmake_fallback.diff
  * Update symbols files.
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:56 +0100

marble (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:54 +0100
