=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kio-dev,
               libgps-dev (>= 2.90),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5parts-dev,
               libkf5runner-dev,
               libkf5service-dev,
               libkf5wallet-dev,
               libopencv-core-dev,
               libopencv-highgui-dev,
               libopencv-imgproc-dev,
               libphonon4qt5-dev,
               libprotobuf-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4),
               libquazip5-dev,
               libshp-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               python-dev,
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtlocation5-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               shared-mime-info,
               sip-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/marble.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/marble.git

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-23
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-23 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.4),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-23},
         ${shlibs:Depends}
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libastro-dev
Architecture: any
Section: libdevel
Depends: libastro1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.
