=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

vendor := $(shell dpkg-vendor --query Vendor)

ifeq ($(vendor),Ubuntu)
  ifeq ($(DEB_HOST_ARCH),armel)
    conf_args += -DWITH_OpenGL=OFF
  endif
endif

override_dh_auto_configure:
	$(overridden_command) -- -DWITH_DESIGNER_PLUGIN=ON \
				 -DWITH_KF5=TRUE \
				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
				 $(conf_args)

override_dh_strip:
	$(overridden_command) --ddeb-migration='marble-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable the auto tests at build time
	:

override_dh_clean:
	$(overridden_command) -Xdata/mwdbii/PISLAND.PNT.orig -Xdata/mwdbii/PLAKE.PNT.orig
